Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::Random Class Reference

Utility class to generate a stream of pseudorandom numbers. More...

`#include <Random.h>`

Inheritance diagram for Lucene::Random:

## Public Member Functions

| Random ()
| Random (int64_t seed)
virtual | ~Random ()
void | setSeed (int64_t seed)
int32_t | nextInt (int32_t limit=INT_MAX)
double | nextDouble ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Protected Member Functions

int32_t | next (int32_t bits)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

int64_t | seed

## Detailed Description

Utility class to generate a stream of pseudorandom numbers.

## Constructor & Destructor Documentation

Lucene::Random::Random | ( | ) |  |

Lucene::Random::Random | ( | int64_t | seed) |  |

virtual Lucene::Random::~Random | ( | ) |  |

virtual

## Member Function Documentation

int32_t Lucene::Random::next | ( | int32_t | bits) |  |

protected

double Lucene::Random::nextDouble | ( | ) |  |

int32_t Lucene::Random::nextInt | ( | int32_t | limit = `INT_MAX`) |  |

void Lucene::Random::setSeed | ( | int64_t | seed) |  |

## Field Documentation

int64_t Lucene::Random::seed

protected

The documentation for this class was generated from the following file:

- Random.h

clucene.sourceforge.net